/// <reference types="react" />
import * as React from "react";
import { AuthorKeypair, EarthstarError, Peer, ReplicaCache, Syncer, SyncerStatus, Replica } from "earthstar";
declare function usePeer(): Peer;
declare function useAddShare(): (shareAddress: string, secret?: string | undefined) => Promise<void>;
declare function useShareSecret(address: string): [
    string | undefined,
    (secret: string) => void
];
declare function useReplicaServers(): [
    string[],
    React.Dispatch<React.SetStateAction<string[]>>
];
declare function useKeypair(): [
    AuthorKeypair | null,
    React.Dispatch<React.SetStateAction<AuthorKeypair | null>>
];
declare function useCurrentShare(): [
    string | null,
    React.Dispatch<React.SetStateAction<string | null>>
];
declare function useReplica(shareAddress?: string | undefined): ReplicaCache;
declare function useSync(target: string | Peer): [
    Syncer<undefined, unknown>,
    SyncerStatus
];
declare function useInvitation(invitationCode: string): EarthstarError | {
    redeem: (excludedPubs?: string[]) => void;
    workspace: string;
    pubs: string[];
};
declare function useMakeInvitation(includedPubs?: string[], shareAddress?: string): string;
declare function useLocalStorageEarthstarSettings(storageKey: string): {
    initShares: string[];
    initShareSecrets: Record<string, string>;
    initReplicaServers: string[];
    initIdentity: AuthorKeypair | null;
    initCurrentShare: string | null;
};
declare function Peer$0({ initShares, initShareSecrets, initReplicaServers, initIdentity, initCurrentShare, onCreateShare, children }: {
    initShares?: string[];
    initShareSecrets?: Record<string, string>;
    initReplicaServers?: string[];
    initIdentity?: AuthorKeypair | null;
    initCurrentShare?: string | null;
    initIsLive?: boolean;
    children: React.ReactNode;
    onCreateShare: (shareAddress: string, secret?: string) => Replica;
}): JSX.Element;
declare function IdentityLabel({ address, ...props }: {
    address: string;
} & React.HTMLAttributes<HTMLSpanElement>): JSX.Element;
declare function CurrentIdentityLabel(props: React.HTMLAttributes<HTMLSpanElement>): JSX.Element;
declare function LocalStorageSettingsWriter({ storageKey }: {
    storageKey: string;
}): null;
declare function ShareLabel({ address, ...props }: {
    address: string;
} & React.HTMLAttributes<HTMLSpanElement>): JSX.Element;
export { usePeer, useAddShare, useShareSecret, useReplicaServers, useKeypair, useCurrentShare, useReplica, useSync, useInvitation, useMakeInvitation, useLocalStorageEarthstarSettings, Peer$0 as Peer, IdentityLabel, CurrentIdentityLabel, LocalStorageSettingsWriter, ShareLabel };
